Skip to main content
GET
/
v1
/
templates
List all customization templates
curl --request GET \
  --url https://prod.truv.com/v1/templates/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "count": 123,
  "results": [
    {
      "id": "48427a36d43c4d5aa6324bc06c692456",
      "name": "My template",
      "products": [
        "income"
      ],
      "default_for_products": true,
      "created_at": "2022-05-04T11:30:00.000Z",
      "updated_at": "2022-05-04T12:00:00.000Z",
      "bridge": {},
      "branding": {},
      "orders": {},
      "document_upload": {},
      "data": {},
      "reports": {
        "hidden_sections": {
          "deposits": true,
          "large_deposits": true,
          "historical_payment_summary": true
        },
        "days_requested": 60,
        "large_deposit_threshold": 500,
        "transaction_categories": [
          "Food & Dining",
          "Travel",
          "Shopping"
        ],
        "transaction_account_types": [
          "CHECKING",
          "SAVINGS"
        ],
        "transaction_account_subtypes": [
          "FIXED_ANNUITY",
          "LOCKED_IN_RETIREMENT_ACCOUNT",
          "PLAN_401_A"
        ],
        "income_insights": {
          "days_requested": 60,
          "consumer_report_permissible_purpose": "WRITTEN_INSTRUCTION_OTHER"
        }
      }
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Query Parameters

query
string

Search query by a name.

default_for_products
boolean

Default for products

products
enum<string>

Filter by products

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets,
admin
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null